## pandoc 0.1.0

=== DESCRIPTION ===
Package: pandoc
Title: Manage and Run Universal Converter 'Pandoc' from 'R'
Version: 0.1.0
Authors@R: c(
    person("Christophe", "Dervieux", , "cderv@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4474-2498")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Provides a set of tools to install, manage and run several
    'Pandoc' versions.
License: MIT + file LICENSE
URL: https://github.com/cderv/pandoc, https://cderv.github.io/pandoc/
BugReports: https://github.com/cderv/pandoc/issues
Depends: R (>= 3.4.0)
Imports: fs, rappdirs, rlang (>= 1.0.1)
Suggests: covr, gh, rmarkdown (>= 2.14), testthat (>= 3.0.0), tibble,
        withr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.1.2
Config/Needs/website: tidyverse/tidytemplate, dplyr, tidyr, purrr
NeedsCompilation: no
Packaged: 2022-09-27 13:15:23 UTC; chris
Author: Christophe Dervieux [aut, cre]
    (<https://orcid.org/0000-0003-4474-2498>),
  RStudio [cph, fnd]
Maintainer: Christophe Dervieux <cderv@rstudio.com>
Repository: CRAN
Date/Publication: 2022-09-29 08:40:05 UTC

## pandoc 0.2.0

=== DESCRIPTION ===
Package: pandoc
Title: Manage and Run Universal Converter 'Pandoc' from 'R'
Version: 0.2.0
Authors@R: c(
    person("Christophe", "Dervieux", , "cderv@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4474-2498")),
    person(given = "Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Provides a set of tools to install, manage and run several
    'Pandoc' versions.
License: MIT + file LICENSE
URL: https://github.com/cderv/pandoc, https://cderv.github.io/pandoc/
BugReports: https://github.com/cderv/pandoc/issues
Depends: R (>= 3.5.0)
Imports: fs, rappdirs, rlang (>= 1.0.1)
Suggests: covr, gh, rmarkdown (>= 2.14), testthat (>= 3.0.0), tibble,
        withr
Config/Needs/website: tidyverse/tidytemplate, dplyr, tidyr, purrr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-08-24 10:07:24 UTC; chris
Author: Christophe Dervieux [aut, cre]
    (<https://orcid.org/0000-0003-4474-2498>),
  Posit Software, PBC [cph, fnd]
Maintainer: Christophe Dervieux <cderv@posit.co>
Repository: CRAN
Date/Publication: 2023-08-24 11:00:08 UTC

## pandoc 0.46+2

=== Makefile ===
# Makefile for Pandoc.

#-------------------------------------------------------------------------------
# Constant names and commands in source tree
#-------------------------------------------------------------------------------
CABAL     := pandoc.cabal
SRCDIR    := .
MANDIR    := man
TESTDIR   := tests
BUILDDIR  := dist
BUILDCONF := $(BUILDDIR)/setup-config
BUILDVARS := vars
CONFIGURE := configure

#-------------------------------------------------------------------------------
# Cabal constants
#-------------------------------------------------------------------------------
PKG       := $(shell sed -ne 's/^[Nn]ame:[[:space:]]*//p' $(CABAL) | tr A-Z a-z)
VERSION   := $(shell sed -ne 's/^[Vv]ersion:[[:space:]]*//p' $(CABAL))
PKGID     := $(PKG)-$(VERSION)
EXECSBASE := $(shell sed -ne 's/^[Ee]xecutable:\{0,1\}[[:space:]]*//p' $(CABAL))

#-------------------------------------------------------------------------------
# Install targets
#-------------------------------------------------------------------------------
WRAPPERS  := html2markdown markdown2pdf hsmarkdown
# Add .exe extensions if we're running Windows/Cygwin.
EXTENSION := $(shell uname | tr '[:upper:]' '[:lower:]' | \
               sed -ne 's/^cygwin.*$$/\.exe/p')
BUILDCMD  := $(addsuffix $(EXTENSION), ./setup)
EXECS     := $(addsuffix $(EXTENSION),$(EXECSBASE))
PROGS     := $(EXECS) $(WRAPPERS)
MAIN      := $(firstword $(EXECS))
DOCS      := README.html README BUGS
MANPAGES  := $(patsubst %.md,%,$(wildcard $(MANDIR)/man?/*.?.md))

#-------------------------------------------------------------------------------
# Variables to setup through environment
#-------------------------------------------------------------------------------

# Specify default values.
prefix    := /usr/local
destdir   :=
# Attempt to set variables from a previous make session.
-include $(BUILDVARS)
# Fallback to defaults but allow to get the values from environment.
PREFIX    ?= $(prefix)
DESTDIR   ?= $(destdir)
DATADIR   ?= $(PKGID)
DOCDIR    ?= $(PKGID)/doc

#-------------------------------------------------------------------------------
# Installation paths
#-------------------------------------------------------------------------------
DESTPATH    := $(DESTDIR)$(PREFIX)
BINPATH     := $(DESTPATH)/bin
DATAPATH    := $(DESTPATH)/share
MANPATH     := $(DATAPATH)/man
PKGDATAPATH := $(DATAPATH)/$(DATADIR)
PKGDOCPATH  := $(DATAPATH)/$(DOCDIR)

#-------------------------------------------------------------------------------
# Generic Makefile variables
#-------------------------------------------------------------------------------
INSTALL         := install -c
INSTALL_PROGRAM := $(INSTALL) -m 755
INSTALL_DATA    := $(INSTALL) -m 644
STRIP           := strip
GHC             ?= ghc
GHC_PKG         ?= ghc-pkg
GHC_VERSION     := $(shell $(GHC) --version | sed -e 's/[^0-9]*//')

#-------------------------------------------------------------------------------
# Recipes
#-------------------------------------------------------------------------------

# Default target.
.PHONY: all
all: build-program

# Document process rules.
%.html: % $(MAIN)
	./$(MAIN) -s -S --toc $< >$@ || rm -f $@
%.tex: % $(MAIN)
	./$(MAIN) -s -w latex $< >$@ || rm -f $@
%.rtf: % $(MAIN)
	./$(MAIN) -s -w rtf $< >$@ || rm -f $@
%.pdf: % $(MAIN) markdown2pdf
	sh ./markdown2pdf $< || rm -f $@
%.txt: %
	perl -p -e 's/\n/\r\n/' $< > $@ || rm -f $@ # convert to DOS line endings
%.1: %.1.md $(MAIN)
	./$(MAIN) -s -S -w man $< >$@ || rm -f $@

.PHONY: templates
templates: 
	$(MAKE) -C $(SRCDIR)/templates

define generate-shell-script
echo >&2 "Generating $@...";                             \
awk '                                                    \
	/^[ \t]*###+ / {                                 \
                lead = $$0; sub(/[^ \t].*$$/, "", lead); \
		t = "$(dir $<)/"$$2;                     \
		while (getline line < t > 0)             \
			print lead line;                 \
		next;                                    \
	}                                                \
	{ print }                                        \
' <$< >$@
chmod +x $@
endef

.PHONY: wrappers
wrappers: $(WRAPPERS)
cleanup_files+=$(WRAPPERS)
$(WRAPPERS): %: $(SRCDIR)/wrappers/%.in $(SRCDIR)/wrappers/*.sh
	@$(generate-shell-script)

CABAL_BACKUP=$(CABAL).orig
$(CABAL_BACKUP):
	cp $(CABAL) $(CABAL_BACKUP) ; \
	if echo $(GHC_VERSION) | grep -q '^6.6'; then \
		cp $(CABAL).ghc66 $(CABAL); \
	fi

.PHONY: configure
cleanup_files+=Setup.hi Setup.o $(BUILDCMD) $(BUILDVARS)
configure: $(BUILDCONF) templates
$(BUILDCMD): Setup.hs
	$(GHC) -package Cabal Setup.hs -o $(BUILDCMD)
$(BUILDCONF): $(CABAL) $(CABAL_BACKUP) $(BUILDCMD)
	$(BUILDCMD) configure --prefix=$(PREFIX) --with-compiler=$(GHC) --with-hc-pkg=$(GHC_PKG)
	@# Make configuration time settings persistent (definitely a hack).
	@echo "PREFIX?=$(PREFIX)" >$(BUILDVARS)
	@echo "DESTDIR?=$(DESTDIR)" >>$(BUILDVARS)

.PHONY: build
build: configure
	$(BUILDCMD) build

.PHONY: build-exec
build-exec: $(PROGS)
cleanup_files+=$(EXECS)
$(EXECS): build
	for f in $@; do \
		find $(BUILDDIR) -type f -name "$$f" -perm +a=x \
		                 -exec ln -s -f {} . \; ; \
	done

.PHONY: build-doc
cleanup_files+=README.html $(MANPAGES)
build-doc: $(DOCS) $(MANPAGES)

.PHONY: build-program
build-program: build-exec build-doc

.PHONY: build-lib-doc haddock
build-lib-doc: html
haddock: build-lib-doc
cleanup_files+=html
html/: configure
	-rm -rf html
	$(BUILDCMD) haddock && cp -r $(BUILDDIR)/doc/html .

.PHONY: build-all
build-all: build-program build-lib-doc

# User documents installation.
.PHONY: install-doc uninstall-doc
man_all:=$(patsubst $(MANDIR)/%,%,$(MANPAGES))
install-doc: build-doc
	$(INSTALL) -d $(PKGDOCPATH) && $(INSTALL_DATA) $(DOCS) $(PKGDOCPATH)/
	for f in $(man_all); do \
		$(INSTALL) -d $(MANPATH)/$$(dirname $$f); \
		$(INSTALL_DATA) $(MANDIR)/$$f $(MANPATH)/$$f; \
	done
uninstall-doc:
	-for f in $(DOCS); do rm -f $(PKGDOCPATH)/$$f; done
	-for f in $(man_all); do rm -f $(MANPATH)/$$f; done
	rmdir $(PKGDOCPATH) $(PKGDATAPATH) 2>/dev/null ||:

# Program only installation.
.PHONY: install-exec uninstall-exec
install-exec: build-exec
	$(STRIP) $(EXECS)
	$(INSTALL) -d $(BINPATH); \
	for f in $(PROGS); do \
		if [ -L $$f ]; then \
			f=$$(readlink $$f); \
		fi; \
		$(INSTALL_PROGRAM) $$f $(BINPATH)/; \
	done
uninstall-exec:
	-for f in $(notdir $(PROGS)); do rm -f $(BINPATH)/$$f; done

# Program + user documents installation.
.PHONY: install-program uninstall-program
install-program: install-exec install-doc
uninstall-program: uninstall-exec uninstall-doc

.PHONY: install-all uninstall-all
# Full installation through Cabal: main + wrappers + user docs + lib + lib docs
install-all: build-all install-program
	destdir=$(DESTDIR); \
	# Older Cabal versions have no '--destdir' option.
	if $(BUILDCMD) copy --help | grep -q '\-\-destdir'; then \
		opt="--destdir=$${destdir-/}"; \
	else \
		opt="--copy-prefix=$${destdir}$(PREFIX)"; \
	fi; \
	$(BUILDCMD) copy $$opt; $(BUILDCMD) register
# Cabal lacks an 'uninstall' command.  We have to remove some cruft manually.
uninstall-all: uninstall-program
	@libdir=$$($(GHC_PKG) field $(PKGID) library-dirs 2>/dev/null | \
		  sed 's/^library-dirs: *//'); \
	htmldir=$$($(GHC_PKG) field $(PKGID) haddock-html 2>/dev/null | \
		  sed 's/^haddock-html: *//'); \
	if [ -d $$libdir ]; then \
		$(BUILDCMD) unregister ||:; \
	else \
		echo >&2 "*** Couldn't locate library for pkgid: $(PKGID). ***"; \
	fi; \
	for d in $$libdir $$htmldir; do \
		[ -d $$d ] && { \
			rm -rf $$d; rmdir $$(dirname $$d) 2>/dev/null ||:; \
		} \
	done; \
	rmdir $(PKGDOCPATH) $(PKGDATAPATH) 2>/dev/null ||:

# Default installation recipe for a common deployment scenario.
.PHONY: install uninstall
install: install-program
uninstall: uninstall-program

# FreeBSD port
.PHONY: freebsd
freebsd_dest:=freebsd
freebsd_makefile:=$(freebsd_dest)/Makefile
freebsd_template:=$(freebsd_makefile).in
cleanup_files+=$(freebsd_makefile)
freebsd : $(freebsd_makefile)
$(freebsd_makefile) : $(freebsd_template)
	sed -e 's/@VERSION@/$(VERSION)/' $< > $@

# MacPort
.PHONY: macport
macport_dest:=macports
portfile:=$(macport_dest)/Portfile
portfile_template:=$(portfile).in
cleanup_files+=$(portfile)
macport : $(portfile)
$(portfile) : $(portfile_template) tarball
	sed -e 's/@VERSION@/$(VERSION)/' $(portfile_template) | \
	sed -e 's/@TARBALLMD5SUM@/$(word 2, $(shell openssl md5 $(tarball)))/' > \
	$(portfile)

.PHONY: win-pkg
win_pkg_name:=$(PKGID).zip
win_docs:=COPYING.txt COPYRIGHT.txt BUGS.txt README.txt README.html
cleanup_files+=$(win_pkg_name) $(win_docs)
win-pkg: $(win_pkg_name)
$(win_pkg_name): $(PKG).exe  $(win_docs)
	zip -r $(win_pkg_name) $(PKG).exe $(win_docs)

.PHONY: test test-markdown
test: $(MAIN)
	@cd $(TESTDIR) && perl runtests.pl -s $(PWD)/$(MAIN)
compat:=$(PWD)/hsmarkdown
markdown_test_dirs:=$(wildcard $(TESTDIR)/MarkdownTest_*)
test-markdown: $(MAIN) $(compat)
	@for suite in $(markdown_test_dirs); do \
		( \
			suite_version=$$(echo $$suite | sed -e 's/.*_//');\
			echo >&2 "-----------------------------------------";\
			echo >&2 "Running Markdown test suite version $${suite_version}.";\
			PATH=$(PWD):$$PATH; export PATH; cd $$suite && \
			perl MarkdownTest.pl -s $(compat) -tidy ; \
		) \
	done

# Stolen and slightly improved from a GPLed Makefile.  Credits to John Meacham.
src_all:=$(shell find $(SRCDIR) -type f -name '*hs' | egrep -v '^\./(_darcs|lib|test)/')
cleanup_files+=$(patsubst %,$(SRCDIR)/%,tags tags.sorted)
tags: $(src_all)
	cd $(SRCDIR) && hasktags -c $(src_all:$(SRCDIR)/%=%); \
	LC_ALL=C sort tags >tags.sorted; mv tags.sorted tags

.PHONY: tarball
tarball:=$(PKGID).tar.gz
cleanup_files+=$(tarball)
tarball: $(tarball)
$(tarball):
	svn export . $(PKGID)
	$(MAKE) -C $(PKGID) templates
	$(MAKE) -C $(PKGID) wrappers
	tar cvzf $(tarball) $(PKGID)
	-rm -rf $(PKGID)

.PHONY: deb
deb_name:=$(shell grep ^Package debian/control | cut -d' ' -f2 | head -n 1)
deb_version:=$(shell head -n 1 debian/changelog | cut -f2 -d' ' | tr -d '()')
deb_arch:=i386
deb_main:=$(deb_name)_$(deb_version)_$(deb_arch).deb
deb: debian
	@[ -x /usr/bin/fakeroot ] || { \
		echo >&2 "*** Please install fakeroot package. ***"; \
		exit 1; \
	}
	@[ -x /usr/bin/dpkg-buildpackage ] || { \
		echo >&2 "*** Please install dpkg-dev package. ***"; \
		exit 1; \
	}
	mv $(BUILDVARS) $(BUILDVARS).old 2>/dev/null ||: # backup settings
	if [ -x /usr/bin/debuild ]; then \
		debuild -uc -us -i.svn -I.svn -i_darcs -I_darcs --lintian-opts -i; \
	else \
		echo >&2 "*** Please install devscripts package. ***"; \
		echo >&2 "*** Using dpkg-buildpackage for package building. ***"; \
		dpkg-buildpackage -rfakeroot -uc -us -i.svn -I.svn -i_darcs -I_darcs; \
	fi
	mv $(BUILDVARS).old $(BUILDVARS) 2>/dev/null ||: # restore

.PHONY: website
web_src:=web
web_dest:=pandoc-website
make_page:=./$(MAIN) -s -S -B $(web_src)/header.html \
                        -A $(web_src)/footer.html \
	                -H $(web_src)/css
cleanup_files+=$(web_dest)
$(web_dest) : html $(wildcard $(web_src)/*) debian/changelog \
    INSTALL $(MANPAGES) $(MANDIR)/man1/pandoc.1.md README
	rm -rf $(web_dest) && { \
		mkdir $(web_dest); \
		cp -r html $(web_dest)/doc; \
		cp $(web_src)/* $(web_dest)/; \
		sed -e 's#@VERSION@#$(VERSION)#g' $(web_src)/index.txt.in > \
			$(web_dest)/index.txt; \
		cp debian/changelog $(web_dest)/changelog.txt ; \
		cp README $(web_dest)/ ; \
		cp INSTALL $(web_dest)/ ; \
		cp $(MANDIR)/man1/pandoc.1.md $(web_dest)/ ; \
		cp $(MANDIR)/man1/*.1 $(web_dest)/ ; \
	} || { rm -rf $(web_dest); exit 1; }
website: $(MAIN) $(web_dest)
	PANDOC_PATH=$(shell pwd) make -C $(web_dest)

.PHONY: distclean clean
distclean: clean
	if [ -d debian ]; then \
		chmod +x debian/rules; fakeroot debian/rules clean; \
	fi

clean:
	make -C $(SRCDIR)/templates clean
	-if [ -f $(BUILDCONF) ]; then $(BUILDCMD) clean; fi
	-rm -rf $(cleanup_files)

=== templates/Makefile ===
VPATH     := ..
PROCESSOR := ./fillTemplates.pl
TARGETS   := Text/Pandoc/ASCIIMathML.hs \
	     Text/Pandoc/Writers/S5.hs \
	     Text/Pandoc/Writers/DefaultHeaders.hs

all: $(TARGETS)

Text/Pandoc/ASCIIMathML.hs: ASCIIMathML.hs $(PROCESSOR) ASCIIMathML.js
	perl $(PROCESSOR) $@ $(VPATH)

Text/Pandoc/Writers/S5.hs: S5.hs $(PROCESSOR) ui/default/*
	perl $(PROCESSOR) $@ $(VPATH)

Text/Pandoc/Writers/DefaultHeaders.hs: DefaultHeaders.hs $(PROCESSOR) headers/*
	perl $(PROCESSOR) $@ $(VPATH)

.PHONY: clean
clean:
	cd $(VPATH); rm -f $(TARGETS)

=== web/Makefile ===
ALL := index.html README.html INSTALL.html examples.html pandoc1.html markdown2pdf1.html html2markdown1.html hsmarkdown1.html html2x.html
PANDOC_PATH ?= $(dir $(shell which pandoc))
MAKEPAGE = $(PANDOC_PATH)/pandoc -s -S -H css -A footer.html
all : $(ALL) 

.PHONY: clean
clean:
	for file in $(ALL); do rm $$file; done; \
	rm -r example*;

examples.txt : $(PANDOC_DEPS) mkdemos.pl config.xsl S5DEMO README demos
	PATH=$(PANDOC_PATH):$$PATH ./mkdemos.pl demos $@
	perl -pi -e 's!(href="(main|(my)?header|footer|example\d+)\.(html|tex|xml|css))"!\1.html"!g' $@
	for file in $$(ls | egrep '(main|(my)?header|footer|example[0-9]+)\.(html|tex|xml|css)$$'); \
		do highlight -k monospace -u utf-8 --style emacs $$file > $$file.html; \
	done

index.html : index.txt css
	$(MAKEPAGE) --toc $< > $@

README.html : README css
	$(MAKEPAGE) --toc $< > $@

INSTALL.html : INSTALL css
	$(MAKEPAGE) --toc $< > $@

%.html : %.txt css
	$(MAKEPAGE) $< > $@

%1.html : %.1 
	groff -man -T html $< > $@

%.html : % css
	$(MAKEPAGE) $< > $@

upload : 
	make -C .. upload

=== debian/changelog ===
pandoc (0.46+2) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Remove bogus dependency on libghc6-uulib-dev.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 18:40:00 +0200

pandoc (0.46+1) unstable; urgency=low

  [ Recai Oktaş ]

  * Debian packaging changes:
  
    + Migrate to GHC 6.8.2.  Closes: #461606
    + Add new dependencies libghc6-regex-compat-dev and libghc6-uulib-dev.
    + Remove the code in debian/rules which attempts to remove empty ghc6.6
      include directory.  This code may cause an installation failure for the
      -dev package.  Closes: #460658
    + Fix doc-base to prevent a lintian warning.

 -- Recai Oktaş <roktas@debian.org>  Sat, 09 Feb 2008 04:41:46 +0200

pandoc (0.46) unstable; urgency=low

  [ John MacFarlane ]

  * Made -H, -A, and -B options cumulative: if they are specified
    multiple times, multiple files will be included.

  * Added optional HTML sanitization using a whitelist.
    When this option is specified (--sanitize-html on the command line),
    unsafe HTML tags will be replaced by HTML comments, and unsafe HTML
    attributes will be removed.  This option should be especially useful
    for those who want to use pandoc libraries in web applications, where
    users will provide the input.
    
    + Main.hs:  Added --sanitize-html option.

    + Text.Pandoc.Shared:  Added stateSanitizeHTML to ParserState.

    + Text.Pandoc.Readers.HTML:
      - Added whitelists of sanitaryTags and sanitaryAttributes.
      - Added parsers to check these lists (and state) to see if a given
        tag or attribute should be counted unsafe.
      - Modified anyHtmlTag and anyHtmlEndTag to replace unsafe tags
        with comments.
      - Modified htmlAttribute to remove unsafe attributes.
      - Modified htmlScript and htmlStyle to remove these elements if
        unsafe.

    + Modified README and man pages to document new option.

  * Improved handling of email addresses in markdown and reStructuredText.
    Consolidated uri and email address parsers.  (Resolves Issue #37.)

    + New emailAddress and uri parsers in Text.Pandoc.Shared.
      - uri parser uses parseURI from Network.URI.
      - emailAddress parser properly handles email addresses with periods
        in them.

    + Removed uri and emailAddress parsers from Text.Pandoc.Readers.RST
      and Text.Pandoc.Readers.Markdown.

  * Markdown reader:

    + Fixed emph parser so that "*hi **there***" is parsed as a Strong
      nested in an Emph. (A '*' is only recognized as the end of the
      emphasis if it's not the beginning of a strong emphasis.)

    + Moved blockQuote parser before list parsers for performance.

    + Modified 'source' parser to allow backslash-escapes in URLs.
      So, for example, [my](/url\(1\)) yields a link to /url(1).
      Resolves Issue #34.

    + Disallowed links within links. (Resolves Issue #35.)
      - Replaced inlinesInBalanced with inlinesInBalancedBrackets, which 
        instead of hard-coding the inline parser takes an inline parser
        as a parameter.
      - Modified reference and inlineNote to use inlinesInBalancedBrackets.
      - Removed unneeded inlineString function.
      - Added inlineNonLink parser, which is now used in the definition of
        reference.
      - Added inlineParsers list and redefined inline and inlineNonLink parsers
        in terms of it.
      - Added failIfLink parser.
 
    + Better handling of parentheses in URLs and quotation marks in titles.
      - 'source' parser first tries to parse URL with balanced parentheses;
        if that doesn't work, it tries to parse everything beginning with
        '(' and ending with ')'.
      - source parser now uses an auxiliary function source'.
      - linkTitle parser simplified and improved, under assumption that it
        will be called in context of source'.

    + Make 'block' conditional on strictness state, instead of using
      failIfStrict in block parsers. Use a different ordering of parsers
      in strict mode (raw HTML block before paragraph) for performance.
      In non-strict mode use rawHtmlBlocks instead of htmlBlock.
      Simplified htmlBlock, since we know it's only called in strict
      mode.

    + Improved handling of raw HTML.  (Resolves Issue #36.)
      - Tags that can be either block or inline (e.g. <ins>) should
        be treated as block when appropriate and as inline when
        appropriate. Thus, for example,
        <ins>hi</ins>
        should be treated as a paragraph with inline <ins> tags, while
        <ins>
        hi
        </ins>
        should be treated as a paragraph within <ins> tags.
      - Moved htmlBlock after para in list of block parsers.  This ensures
        that tags that can be either block or inline get parsed as inline
        when appropriate.
      - Modified rawHtmlInline' so that block elements aren't treated as
        inline.
      - Modified para parser so that paragraphs containing only HTML tags and
        blank space are not allowed.  Treat these as raw HTML blocks instead.

    + Fixed bug wherein HTML preceding a code block could cause it to
      be parsed as a paragraph.  The problem is that the HTML parser
      used to eat all blank space after an HTML block, including the
      indentation of the code block.  (Resolves Issue #39.)
      - In Text.Pandoc.Readers.HTML, removed parsing of following space
        from rawHtmlBlock.
      - In Text.Pandoc.Readers.Markdown, modified rawHtmlBlocks so that
        indentation is eaten *only* on the first line after the HTML
        block.  This means that in
        <div>
             foo
        <div>
        the foo won't be treated as a code block, but in
        <div>
      
            foo
      
        </div>
        it will.  This seems the right approach for least surprise.

  * RST reader:

    + Fixed bug in parsing explicit links (resolves Issue #44).


=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Recai Oktaş <roktas@debian.org>
Build-Depends: debhelper (>= 4.0.0), haskell-devscripts (>=0.5.12), ghc6 (>= 6.8.2-1), libghc6-xhtml-dev, libghc6-mtl-dev, libghc6-network-dev, libghc6-regex-compat-dev, perl
Build-Depends-Indep: haddock
Standards-Version: 3.7.3
Homepage: http://johnmacfarlane.net/pandoc/
XS-Vcs-Svn: http://pandoc.googlecode.com/svn/trunk
XS-Vcs-Browser: http://pandoc.googlecode.com/svn/trunk

Package: pandoc
Section: text
Architecture: any
Depends: ${shlibs:Depends}
Suggests: texlive-latex-recommended | tetex-extra, tidy, wget | w3m
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.

Package: libghc6-pandoc-dev
Section: libdevel
Architecture: any
Depends: ${haskell:Depends}, libghc6-xhtml-dev, libghc6-mtl-dev, libghc6-network-dev, libghc6-regex-compat-dev
Suggests: pandoc-doc
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC 6.

Package: pandoc-doc
Section: doc
Architecture: all
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX, and it
 can write markdown, reStructuredText, HTML, LaTeX, ConTeXt, DocBook,
 RTF, groff man pages, and S5 HTML slide shows.
 .
 Pandoc extends standard markdown syntax with footnotes, embedded LaTeX,
 tables, definition lists, and other features. A compatibility mode is
 provided for those who need a drop-in replacement for Markdown.pl.
 Included wrapper scripts make it easy to convert markdown documents to
 PDFs and to convert web pages to markdown documents.
 .
 In contrast to existing tools for converting markdown to HTML, which
 use regex substitutions, pandoc has a modular design: it consists of a
 set of readers, which parse text in a given format and produce a native
 representation of the document, and a set of writers, which convert
 this native representation into a target format. Thus, adding an input
 or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for pandoc.
# Copyright © 2006  Recai Oktaş <roktasATdebian.org>
#
# This file is based on John Goerzen's Cabal Debian template.
# See http://www.n-heptane.com/nhlab/repos/cabalDebianTemplate/
#
# Licensed under the GNU General Public License, version 2.
# See the file 'http://www.gnu.org/copyleft/gpl.txt'.

THIS    := $(shell sed -ne 's/^Source: \(.*\)/\1/p' debian/control)
PREFIX  := /usr
DESTDIR := debian/$(THIS)
DATADIR := $(THIS)
DOCDIR  := doc/$(THIS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifeq (1,$(DH_VERBOSE))
HCFLAGS+=-v
endif

# Handle noopt in DEB_BUILD_OPTIONS.  Emulate CFLAGS (as HCFLAGS).
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
HCFLAGS+=-O0
else
# No optimisation seems optimum.
HCFLAGS+=-O0
endif

# Export all variables which will be used in various stages of build process.
export PREFIX DESTDIR DATADIR DOCDIR HCFLAGS

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) configure

	touch $@

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	dh_haskell -a

	# Hack!  Cabal builds executables while building libraries.  Move these
	# files to top dir where the Makefile install target expects to find.
	# See "BUGS" section at the following document:
	# http://www.n-heptane.com/nhlab/repos/cabalDebianTemplate/INSTRUCTIONS.txt
	find debian/libghc6-$(THIS)-dev -type d -name 'bin' -true | \
		while read bin; do mv $$bin/* .; rm -rf $$bin; done
	$(MAKE) install-program

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	$(MAKE) build-lib-doc

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installman -a
	dh_link -a
	dh_strip -a -Xhtml2 -Xmarkdown2 -Xlatex2 -Xrst2
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install build-indep install-indep

## pandoc 1.5.1.1

=== debian/changelog ===
pandoc (1.5.1.1-5) unstable; urgency=low

  * Lower priority of -dev and -doc packages to extra, to match
    overrides.
  * Disable timer to help build on slow arches like hppa.
  * Bump Policy compliance to Standards-Version 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Jun 2010 20:59:24 +0200

pandoc (1.5.1.1-4) unstable; urgency=low

  [ John MacFarlane ]
  * Fix install s5 and data directories.

  [ Jonas Smedegaard ]
  * Update watch file to use googlecode.debian.net redirector.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jun 2010 20:51:12 +0200

pandoc (1.5.1.1-3) unstable; urgency=low

  * Really enable threaded RTS only when supported (not when not
    supported, which obviously won't work).
    Closes: bug#578660, thanks to Dann Frazier.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 18:23:28 +0200

pandoc (1.5.1.1-2) unstable; urgency=low

  * Add patch 0001 from upstream implementing configure option -
    threaded.
  * Enable threaded RTS only when supported.
  * Drop some TODOs now solved.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Apr 2010 10:19:50 +0200

pandoc (1.5.1.1-1) unstable; urgency=low

  * New upstream release. Closes: 499864.
    + Pandoc no longer requires Template Haskell.
      Closes: bug#559978.
    + Added --base-header-level option.
      Closes: bug#563416.
    + wrapper script html2markdown dropped.
    + Supports new output formats plain text, OpenDocument XML, ODT, GNU
      Texinfo and MediaWiki markup.
  * Update package relations to match new upstream release:
    + Tighten build-dependency on libghc6-zip-archive-dev.
    + Build-depend on libghc6-http-dev, libghc6-texmath-dev,
      libghc6-xml-dev and libghc6-extensible-exceptions-dev.
    + Drop suggestion on tidy, wget or w3m.
  * Tighten build-dependency on cdbs.
  * Drop all local CDBS snippets, and stop declaring DEB_MAINTAINER_MODE
    in rules file: all included with main cdbs package now.
  * Line-wrap changelog at 72 characters, to please lintian.
  * Bump Standards-Version to 3.8.4.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Fix have -dev package depend on libghc6-highlighting-kate-doc (not
    bogus highlighting-kate-doc).
    Closes: bug#571402, thanks to Lucas Nussbaum.
  * Fix have pandoc package suggest texlive-latex-extra (not only
    texlive-latex-recommended), for ucs.sty needed for PDF output.
    Closes: bug#571678, thanks to Decklin Foster.
  * Drop fallback-suggestion on tetex-extra: dropped since Lenny
    (stable) and unneeded even for Etch (oldstable).
  * Update long descriptions:
    + Advertise new output formats.
    + Clarify Markdown enhancements as optional.
    + Slightly rephrase comparison with other Markdown parsers.
    + Stop advertising wrapper script html2markdown.
    + Mention wrapper script markdown2pdf by name.
    + Mention markdown2pdf requirements on texlive-latex-extra and
      texlive-xetex.
  * Skip copyright-check of some binary files, to avoid hint file
    accidentally treated as binary.
  * Drop configure option -f-wrappers (to generate Haskell binary for
    markdown2pdf instead of using the deprecated shell wrapper script.
  * Add README.Debian to pandoc package, documenting LaTeX requirements
    of markdown2pdf.
    Closes: bug#488642, thanks to intrigeri.
  * Ship hsmardown.1 manpage with packaging source (provided by upstream
    but considered unsuitable for upstream distribution).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 00:26:54 +0200

pandoc (1.3-1) unstable; urgency=low

  [ Jonas Smedegaard ]
  * New upstream release.
  * Install (through cdbs) manpages with dh_installman (not dh_install).
  * Drop unneeded configure flag: wrappers.
  * Update local CDBS snippets:
    + Use snippets copyright-check.mk, upstream-tarball.mk and
      buildinfo.mk.
    + Adjust snippets regarding declared build-dependencies.
    + Temporarily work around minor package-relations.mk brokenness.
  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Add watch file.
  * Fix source stanza in debian/copyright.
  * Switch to source format 3.0 (quilt).

  [ John MacFarlane ]
  * Adjust build-dependencies:
    + Remove alex, c2hs, cpphs, hugs, happy, hmake, hscolour, pkg-config
    + Add hscolour >= 1.8 (for building docs).
  * Fix man page path.
  * Add build depends for doc package.
  * Add hsmarkdown and markdown2pdf scripts in pandoc.install.
  * Add -f-wrappers so Haskell wrappers won't be built.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Dec 2009 10:41:19 +0100

pandoc (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Friendly takeover: Update maintainer field in debian/control.
  * Repackage using CDBS.
  * Resolve all package releationships (except arch-independent build-
    dependencies) in debian/rules, and enable semi-auto-update of
    debian/control.
  * Explicitly build-depend on directly used libraries, and drop no
    longer used perl.
  * Bump debhelper compat level to 6 (newest version supported by
    oldstable - v7 provides no benefit here).
  * Packaging moved to collab-maint Git at Alioth. Update Vcs-*
    stanzas.
  * Bump Policy compliance to standards-version 3.8.3.
  * Package cabal library and its documentation separately.
  * Update doc-base section to Programming (from Apps/Programming).
  * Build-depend on alex, c2hs, cpphs, hugs, happy, hmake, hscolour and
    pkg-config, all possibly used by upstream build system.
  * Enable configure flags for wrappers and highlighting, and build-
    depend versioned on libghc6-highlighting-kate-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Sep 2009 20:02:34 +0200

pandoc (0.46+2+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Text/Pandoc/Definition.hs: Patch file to fix Haddock parse
    error which led to FTBFS. Move annotation of type synonym to before
    the definition. (Closes: #536960)

 -- Iain Lane <laney@ubuntu.com>  Tue, 04 Aug 2009 14:22:55 +0100

=== debian/control ===
Source: pandoc
Section: text
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.70~),
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 debhelper (>= 6),
 ghc6 (>= 6.8.2),
 libghc6-mtl-dev,
 libghc6-parsec2-dev (>= 2.1),
 libghc6-network-dev,
 libghc6-utf8-string-dev,
 libghc6-xhtml-dev,
 libghc6-zip-archive-dev (>= 0.1.1.4),
 libghc6-http-dev (>= 40000005),
 libghc6-texmath-dev,
 libghc6-xml-dev (>= 1.3.5),
 libghc6-xml-dev (<< 1.4),
 libghc6-extensible-exceptions-dev,
 libghc6-highlighting-kate-dev (>= 0.2.3),
 hscolour (>= 1.8),
 ghc6-doc (>= 6.8.2),
 libghc6-highlighting-kate-doc (>= 0.2.3),
 libghc6-xhtml-doc,
 libghc6-parsec2-doc (>= 2.1),
 haskell-pcre-light-doc,
 haskell-devscripts (>=0.5.12)
Build-Depends-Indep: haddock
Standards-Version: 3.9.0
Homepage: http://johnmacfarlane.net/pandoc/
Vcs-Git: git://git.debian.org/git/collab-maint/pandoc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pandoc.git;a=summary

Package: pandoc
Section: text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the pandoc tool itself, and the wrapper script
 markdown2pdf for converting markdown documents to PDFs via LaTeX
 (requires texlive-latex-extra) or XeLaTeX (requires texlive-xetex).

Package: libghc6-pandoc-dev
Section: haskell
Priority: extra
Architecture: any
Depends: ${haskell:Depends}, ${cdbs:Depends}, ${misc:Depends}
Suggests: ${haskell:Suggests}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc6-pandoc-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Description: general markup converter
 Pandoc is a Haskell library for converting from one markup format to
 another, and a command-line tool that uses this library. It can read
 markdown and (subsets of) reStructuredText, HTML, and LaTeX; and it can
 write plain text, markdown, reStructuredText, HTML, LaTeX, ConTeXt,
 RTF, DocBook XML, OpenDocument XML, ODT, GNU Texinfo, MediaWiki markup,
 groff man pages, and S5 HTML slide shows.
 .
 Pandoc's enhanced version of markdown includes syntax for footnotes,
 tables, flexible ordered lists, definition lists, delimited code
 blocks, superscript, subscript, strikeout, title blocks, automatic
 tables of contents, embedded LaTeX math, and markdown inside HTML block
 elements.  (These enhancements can be disabled if a drop-in replacement
 for `Markdown.pl` is desired.)
 .
 In contrast to most existing tools for converting markdown to HTML,
 which use regex substitutions, Pandoc has a modular design: it consists
 of a set of readers, which parse text in a given format and produce a
 native representation of the document, and a set of writers, which
 convert this native representation into a target format. Thus, adding
 an input or output format requires only adding a reader or writer.
 .
 This package contains the library documentation for Pandoc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_URL = http://pandoc.googlecode.com/files
DEB_UPSTREAM_TARBALL_MD5 = bfccc042ae0cf0901bbca1f87748f969

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^.*\.(gif|jpg|odt)|\./debian/(changelog|copyright(|_hints|_newhints))$

DEB_INSTALL_MANPAGES_pandoc = man/man1/*.1 debian/hsmarkdown.1

DEB_SETUP_GHC6_CONFIGURE_ARGS = -fhighlighting

# Use threaded RTS only when supported
DEB_SETUP_GHC6_CONFIGURE_ARGS += $(if $(wildcard /usr/lib/ghc-$(GHC6_VERSION)/libHSrts_thr.a),,--flags=-threaded)

# Disable timer to help build on slow arches like hppa
DEB_SETUP_GHC6_CONFIGURE_ARGS += --ghc-options="+RTS -V0 -RTS"

# Generate (and cleanup) files containing variables static per build
infiles = $(filter-out debian/control.in, $(wildcard debian/*.in))
outfiles = $(basename $(infiles))
DEB_PHONY_RULES += $(outfiles)
pre-build:: $(outfiles)
$(outfiles): %: %.in
	perl -pe 's/__ABI__/$(abi)/g' <$< >$@
clean::
	rm -f $(outfiles)

# Let Haskell cleanup after itself (apparently forgotten in hlibrary.mk)
DEB_PHONY_RULES += haskell-clean
cleanbuilddir:: haskell-clean
haskell-clean:
	[ ! -x "$(DEB_SETUP_BIN_NAME)" ] || $(DEB_SETUP_BIN_NAME) clean

deps_doc = ghc6-doc (>= 6.8.2)
deps_doc += , libghc6-highlighting-kate-doc (>= 0.2.3), libghc6-xhtml-doc, libghc6-parsec2-doc (>= 2.1), haskell-pcre-light-doc

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , ghc6 (>= 6.8.2)
CDBS_BUILD_DEPENDS += , libghc6-mtl-dev, libghc6-network-dev, libghc6-parsec2-dev (>= 2.1), libghc6-network-dev, libghc6-utf8-string-dev, libghc6-xhtml-dev, libghc6-zip-archive-dev (>= 0.1.1.4), libghc6-http-dev (>= 40000005), libghc6-texmath-dev, libghc6-xml-dev (>= 1.3.5), libghc6-xml-dev (<< 1.4), libghc6-extensible-exceptions-dev
CDBS_BUILD_DEPENDS += , libghc6-highlighting-kate-dev (>= 0.2.3)
CDBS_BUILD_DEPENDS += , hscolour (>= 1.8)
CDBS_BUILD_DEPENDS += , $(deps_doc)

# Needed for our packaging
CDBS_BUILD_DEPENDS += , haskell-devscripts (>=0.5.12)

# Needed (always/often/seldom) at runtime
#  texlive-* needed for markdown2pdf script
#  (texlive-latex-recommended mostly ok except ucs.sty - see bug#571678)
CDBS_SUGGESTS_pandoc = texlive-latex-recommended, texlive-latex-extra, texlive-xetex
CDBS_SUGGESTS_libghc6-pandoc-doc = $(deps_doc)

=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
http://googlecode.debian.net/p/pandoc/pandoc-(.*)\.tar\.gz
